"use strict";
var DisplayMode;
(function (DisplayMode) {
    DisplayMode[DisplayMode["OnlyState"] = 0] = "OnlyState";
    DisplayMode[DisplayMode["AllMessage"] = 1] = "AllMessage";
})(DisplayMode || (DisplayMode = {}));
function renderGoal() {
}
function Goal(props) {
    var _a;
    if (props.goalState || props.displayMode !== DisplayMode.OnlyState) {
        return [];
    }
    const reFilters = props.infoViewTacticStateFilters || [];
    const filterIndex = (_a = props.infoViewFilterIndex, (_a !== null && _a !== void 0 ? _a : -1));
    let goalString = props.goalState.replace(/^(no goals)/mg, 'goals accomplished');
    goalString = RegExp('^\\d+ goals|goals accomplished', 'mg').test(goalString) ? goalString : '1 goal\n'.concat(goalString);
    if (!(reFilters.length === 0 || filterIndex === -1)) {
        // this regex splits the goal state into (possibly multi-line) hypothesis and goal blocks
        // by keeping indented lines with the most recent non-indented line
        goalString = goalString.match(/(^(?!  ).*\n?(  .*\n?)*)/mg).map((line) => line.trim())
            .filter((line) => {
            const filt = reFilters[filterIndex];
            const test = line.match(new RegExp(filt.regex, filt.flags)) !== null;
            return filt.match ? test : !test;
        }).join('\n');
    }
    return <div id="goal"><h1>Tactic State</h1><pre>${this.colorizeMessage(escapeHtml(filteredGoalState))}</pre></div>;
}
//# sourceMappingURL=main.js.map